%global _empty_manifest_terminate_build 0
Name:           python-opentracing
Version:        2.4.0
Release:        2
Summary:        OpenTracing API for Python. See documentation at http://opentracing.io
License:        Apache-2.0
URL:            https://github.com/opentracing/opentracing-python
Source0:        https://files.pythonhosted.org/packages/51/28/2dba4e3efb64cc59d4311081a5ddad1dde20a19b69cd0f677cdb2f2c29a6/opentracing-2.4.0.tar.gz
BuildArch:      noarch
%description
This library is a Python platform API for OpenTracing.

%package -n python3-opentracing
Summary:        OpenTracing API for Python. See documentation at http://opentracing.io
Provides:       python-opentracing
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-stestr
BuildRequires:  python3-mock
BuildRequires:  python3-pytest
BuildRequires:  python3-tornado
BuildRequires:  python3-gevent
%description -n python3-opentracing
This library is a Python platform API for OpenTracing.

%package help
Summary:        OpenTracing API for Python. See documentation at http://opentracing.io
Provides:       python3-opentracing-doc
%description help
This library is a Python platform API for OpenTracing.

%prep
%autosetup -n opentracing-2.4.0 -S git

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
pytest-3

%files -n python3-opentracing -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Nov 11 2021 wangxiyuan <wangxiyuan1007@gmail.com> - 2.4.0-2
- Fix test issue
* Fri Jul 30 2021 OpenStack_SIG <openstack@openeuler.org> - 2.4.0-1
- Package Spec generate
